import gymnasium as gym

# 导入你的配置
from rl_game.get_up.config.t1_env_cfg import T1EnvCfg

# 注册环境到 Gymnasium（防止重复注册冲突）
if "Isaac-T1-GetUp-v0" not in gym.registry:
    gym.register(
        id="Isaac-T1-GetUp-v0",
        entry_point="isaaclab.envs:ManagerBasedRLEnv",
        kwargs={"cfg": T1EnvCfg()},
    )